section.products {
    width: 100%;
    height: auto;
    min-height: 100vh;
    float: inline-start;
}

section .title-section {
    width: 100%;
    height: 100px;
    float: inline-start;
    text-align: center;
    line-height: 100px;
    margin: 150px 0 50px 0;
    padding: 0;
    color: var(--black-text-color);
    font-weight: bold;
}

section.products .item {
    width: 100%;
    height: 530px;
    float: inline-start;
    background: var(--white-color);
    overflow: hidden;
    padding: 15px;
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    margin-bottom: 25px;
}

section.products .item:hover {
    background: var(--main-theme);
}

.products-list:hover .item {
    scale: 0.9;
}

section.products .item .image {
    width: 100%;
    height: 220px;
    float: inline-start;
    border-radius: var(--border-radius);
    overflow: hidden;
}

section.products .item .image img {
    width: 100%;
    height: 100%;
}

section.products .item .image:hover img {
    scale: 1.2;
}

section.products .item .product-title {
    width: 100%;
    height: 75px;
    float: inline-start;
    text-align: start;
    line-height: 75px;
    color: var(--black-text-color);
    padding: 0 10px;
    margin: 0;
    font-size: var(--font-size-xxlg);
}

section.products .item .product-title:hover {
    padding: 0 15px;
    color: var(--red-color);
}

section.products .item .product-explain {
    width: 100%;
    height: 100px;
    float: inline-start;
    text-align: justify;
    line-height: 35px;
    color: var(--gray-text-color);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 3;
    text-overflow: ellipsis;
    padding: 0 10px;
    margin-bottom: 25px;
    cursor: default;
}

section.products .item .product-explain:hover {
    color: var(--red-color);
}

section.products .item .button-detail {
    width: 80%;
    height: 70px;
    float: inline-start;
    text-align: center;
    line-height: 70px;
    border-radius: var(--border-radius);
    font-size: var(--font-size-lg);
    background: var(--red-color);
    color: var(--white-color);
    position: relative;
    overflow: hidden;
    box-shadow: 7px 7px 0 0 var(--secondary-theme);
}

section.products .item .button-detail::after {
    content: ' ';
    width: 100%;
    height: 200%;
    position: absolute;
    background: var(--red-colourful);
    inset-inline-start: -100%;
    transition: all linear .2s;
    -o-transition: all linear .2s;
    -moz-transition: all linear .2s;
    -webkit-transition: all linear .2s;
}

section.products .item .button-detail:hover {
    box-shadow: none;
    scale: 1.05;
}

section.products .item .button-detail:hover::after {
    inset-inline-start: 0;
}
















